# =====================================================================
# csa-iso-8859-1.awk: ISO-8859-1 translation lookup table.
# Copyright (C) 2003 Carlo Strozzi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# =====================================================================
# $Id: csa-iso-8859-1.awk,v 1.1 2006/01/10 17:28:32 carlo Exp $

BEGIN {

   # ISO-8859-1 translation lookup tables.

   delete _CHARMAP

   _CHARMAP["01"] = "\001"
   _CHARMAP["02"] = "\002"
   _CHARMAP["03"] = "\003"
   _CHARMAP["04"] = "\004"
   _CHARMAP["05"] = "\005"
   _CHARMAP["06"] = "\006"
   _CHARMAP["07"] = "\007"
   _CHARMAP["08"] = "\010"
   _CHARMAP["09"] = "\011"
   _CHARMAP["10"] = "\020"
   _CHARMAP["11"] = "\021"
   _CHARMAP["12"] = "\022"
   _CHARMAP["13"] = "\023"
   _CHARMAP["14"] = "\024"
   _CHARMAP["15"] = "\025"
   _CHARMAP["16"] = "\026"
   _CHARMAP["17"] = "\027"
   _CHARMAP["18"] = "\030"
   _CHARMAP["19"] = "\031"
   _CHARMAP["20"] = "\040"
   _CHARMAP["21"] = "\041"
   _CHARMAP["22"] = "\042"
   _CHARMAP["23"] = "\043"
   _CHARMAP["24"] = "\044"
   _CHARMAP["26"] = "\046"
#  _CHARMAP["27"] = "\047"		# do not enable!
   _CHARMAP["28"] = "\050"
   _CHARMAP["29"] = "\051"
   _CHARMAP["30"] = "\060"
   _CHARMAP["31"] = "\061"
   _CHARMAP["32"] = "\062"
   _CHARMAP["33"] = "\063"
   _CHARMAP["34"] = "\064"
   _CHARMAP["35"] = "\065"
   _CHARMAP["36"] = "\066"
   _CHARMAP["37"] = "\067"
   _CHARMAP["38"] = "\070"
   _CHARMAP["39"] = "\071"
   _CHARMAP["40"] = "\100"
   _CHARMAP["41"] = "\101"
   _CHARMAP["42"] = "\102"
   _CHARMAP["43"] = "\103"
   _CHARMAP["44"] = "\104"
   _CHARMAP["45"] = "\105"
   _CHARMAP["46"] = "\106"
   _CHARMAP["47"] = "\107"
   _CHARMAP["48"] = "\110"
   _CHARMAP["49"] = "\111"
   _CHARMAP["50"] = "\120"
   _CHARMAP["51"] = "\121"
   _CHARMAP["52"] = "\122"
   _CHARMAP["53"] = "\123"
   _CHARMAP["54"] = "\124"
   _CHARMAP["55"] = "\125"
   _CHARMAP["56"] = "\126"
   _CHARMAP["57"] = "\127"
   _CHARMAP["58"] = "\130"
   _CHARMAP["59"] = "\131"
   _CHARMAP["60"] = "\140"
   _CHARMAP["61"] = "\141"
   _CHARMAP["62"] = "\142"
   _CHARMAP["63"] = "\143"
   _CHARMAP["64"] = "\144"
   _CHARMAP["65"] = "\145"
   _CHARMAP["66"] = "\146"
   _CHARMAP["67"] = "\147"
   _CHARMAP["68"] = "\150"
   _CHARMAP["69"] = "\151"
   _CHARMAP["70"] = "\160"
   _CHARMAP["71"] = "\161"
   _CHARMAP["72"] = "\162"
   _CHARMAP["73"] = "\163"
   _CHARMAP["74"] = "\164"
   _CHARMAP["75"] = "\165"
   _CHARMAP["76"] = "\166"
   _CHARMAP["77"] = "\167"
   _CHARMAP["78"] = "\170"
   _CHARMAP["79"] = "\171"
#  _CHARMAP["0A"] = _CHARMAP["0a"] = "\013"	# do not enable!
   _CHARMAP["0B"] = _CHARMAP["0b"] = "\013"
   _CHARMAP["0C"] = _CHARMAP["0c"] = "\014"
#  _CHARMAP["0D"] = _CHARMAP["0d"] = "\015"	# do not enable!
   _CHARMAP["0E"] = _CHARMAP["0e"] = "\016"
   _CHARMAP["0F"] = _CHARMAP["0f"] = "\017"

   _CHARMAP["1A"] = _CHARMAP["1a"] = "\032"
   _CHARMAP["1B"] = _CHARMAP["1b"] = "\033"
   _CHARMAP["1C"] = _CHARMAP["1c"] = "\034"
   _CHARMAP["1D"] = _CHARMAP["1d"] = "\035"
   _CHARMAP["1E"] = _CHARMAP["1e"] = "\036"
   _CHARMAP["1F"] = _CHARMAP["1f"] = "\037"

   _CHARMAP["2A"] = _CHARMAP["2a"] = "\052"
#  _CHARMAP["2B"] = _CHARMAP["2b"] = "\053"	# do not enable!
   _CHARMAP["2C"] = _CHARMAP["2c"] = "\054"
   _CHARMAP["2D"] = _CHARMAP["2d"] = "\055"
   _CHARMAP["2E"] = _CHARMAP["2e"] = "\056"
   _CHARMAP["2F"] = _CHARMAP["2f"] = "\057"

   _CHARMAP["3A"] = _CHARMAP["3a"] = "\072"
   _CHARMAP["3B"] = _CHARMAP["3b"] = "\073"
   _CHARMAP["3C"] = _CHARMAP["3c"] = "\074"
   _CHARMAP["3D"] = _CHARMAP["3d"] = "\075"
   _CHARMAP["3E"] = _CHARMAP["3e"] = "\076"
   _CHARMAP["3F"] = _CHARMAP["3f"] = "\077"

   _CHARMAP["4A"] = _CHARMAP["4a"] = "\112"
   _CHARMAP["4B"] = _CHARMAP["4b"] = "\113"
   _CHARMAP["4C"] = _CHARMAP["4c"] = "\114"
   _CHARMAP["4D"] = _CHARMAP["4d"] = "\115"
   _CHARMAP["4E"] = _CHARMAP["4e"] = "\116"
   _CHARMAP["4F"] = _CHARMAP["4f"] = "\117"

   _CHARMAP["5A"] = _CHARMAP["5a"] = "\132"
   _CHARMAP["5B"] = _CHARMAP["5b"] = "\133"
   _CHARMAP["5C"] = _CHARMAP["5c"] = "\134"
   _CHARMAP["5D"] = _CHARMAP["5d"] = "\135"
   _CHARMAP["5E"] = _CHARMAP["5e"] = "\136"
   _CHARMAP["5F"] = _CHARMAP["5f"] = "\137"

   _CHARMAP["6A"] = _CHARMAP["6a"] = "\152"
   _CHARMAP["6B"] = _CHARMAP["6b"] = "\153"
   _CHARMAP["6C"] = _CHARMAP["6c"] = "\154"
   _CHARMAP["6D"] = _CHARMAP["6d"] = "\155"
   _CHARMAP["6E"] = _CHARMAP["6e"] = "\156"
   _CHARMAP["6F"] = _CHARMAP["6f"] = "\157"

   _CHARMAP["7A"] = _CHARMAP["7a"] = "\172"
   _CHARMAP["7B"] = _CHARMAP["7b"] = "\173"
   _CHARMAP["7C"] = _CHARMAP["7c"] = "\174"
   _CHARMAP["7D"] = _CHARMAP["7d"] = "\175"
   _CHARMAP["7E"] = _CHARMAP["7e"] = "\176"
   _CHARMAP["7F"] = _CHARMAP["7f"] = "\177"

   _CHARMAP["A0"] = _CHARMAP["a0"] = "\240"
   _CHARMAP["A1"] = _CHARMAP["a1"] = "\241"
   _CHARMAP["A2"] = _CHARMAP["a2"] = "\242"
   _CHARMAP["A3"] = _CHARMAP["a3"] = "\243"
   _CHARMAP["A4"] = _CHARMAP["a4"] = "\244"
   _CHARMAP["A5"] = _CHARMAP["a5"] = "\245"
   _CHARMAP["A6"] = _CHARMAP["a6"] = "\246"
   _CHARMAP["A7"] = _CHARMAP["a7"] = "\247"
   _CHARMAP["A8"] = _CHARMAP["a8"] = "\250"
   _CHARMAP["A9"] = _CHARMAP["a9"] = "\251"
   _CHARMAP["AA"] = _CHARMAP["aa"] = "\252"
   _CHARMAP["AB"] = _CHARMAP["ab"] = "\253"
   _CHARMAP["AC"] = _CHARMAP["ac"] = "\254"
   _CHARMAP["AD"] = _CHARMAP["ad"] = "\255"
   _CHARMAP["AE"] = _CHARMAP["ae"] = "\256"
   _CHARMAP["AF"] = _CHARMAP["af"] = "\257"
   _CHARMAP["B0"] = _CHARMAP["b0"] = "\260"
   _CHARMAP["B1"] = _CHARMAP["b1"] = "\261"
   _CHARMAP["B2"] = _CHARMAP["b2"] = "\262"
   _CHARMAP["B3"] = _CHARMAP["b3"] = "\263"
   _CHARMAP["B4"] = _CHARMAP["b4"] = "\264"
   _CHARMAP["B5"] = _CHARMAP["b5"] = "\265"
   _CHARMAP["B6"] = _CHARMAP["b6"] = "\266"
   _CHARMAP["B7"] = _CHARMAP["b7"] = "\267"
   _CHARMAP["B8"] = _CHARMAP["b8"] = "\270"
   _CHARMAP["B9"] = _CHARMAP["b9"] = "\271"
   _CHARMAP["BA"] = _CHARMAP["ba"] = "\272"
   _CHARMAP["BB"] = _CHARMAP["bb"] = "\273"
   _CHARMAP["BC"] = _CHARMAP["bc"] = "\274"
   _CHARMAP["BD"] = _CHARMAP["bd"] = "\275"
   _CHARMAP["BE"] = _CHARMAP["be"] = "\276"
   _CHARMAP["BF"] = _CHARMAP["bf"] = "\277"
   _CHARMAP["C0"] = _CHARMAP["c0"] = "\300"
   _CHARMAP["C1"] = _CHARMAP["c1"] = "\301"
   _CHARMAP["C2"] = _CHARMAP["c2"] = "\302"
   _CHARMAP["C3"] = _CHARMAP["c3"] = "\303"
   _CHARMAP["C4"] = _CHARMAP["c4"] = "\304"
   _CHARMAP["C5"] = _CHARMAP["c5"] = "\305"
   _CHARMAP["C6"] = _CHARMAP["c6"] = "\306"
   _CHARMAP["C7"] = _CHARMAP["c7"] = "\307"
   _CHARMAP["C8"] = _CHARMAP["c8"] = "\310"
   _CHARMAP["C9"] = _CHARMAP["c9"] = "\311"
   _CHARMAP["CA"] = _CHARMAP["ca"] = "\312"
   _CHARMAP["CB"] = _CHARMAP["cb"] = "\313"
   _CHARMAP["CC"] = _CHARMAP["cc"] = "\314"
   _CHARMAP["CD"] = _CHARMAP["cd"] = "\315"
   _CHARMAP["CE"] = _CHARMAP["ce"] = "\316"
   _CHARMAP["CF"] = _CHARMAP["cf"] = "\317"
   _CHARMAP["D0"] = _CHARMAP["d0"] = "\320"
   _CHARMAP["D1"] = _CHARMAP["d1"] = "\321"
   _CHARMAP["D2"] = _CHARMAP["d2"] = "\322"
   _CHARMAP["D3"] = _CHARMAP["d3"] = "\323"
   _CHARMAP["D4"] = _CHARMAP["d4"] = "\324"
   _CHARMAP["D5"] = _CHARMAP["d5"] = "\325"
   _CHARMAP["D6"] = _CHARMAP["d6"] = "\326"
   _CHARMAP["D7"] = _CHARMAP["d7"] = "\327"
   _CHARMAP["D8"] = _CHARMAP["d8"] = "\330"
   _CHARMAP["D9"] = _CHARMAP["d9"] = "\331"
   _CHARMAP["DA"] = _CHARMAP["da"] = "\332"
   _CHARMAP["DB"] = _CHARMAP["db"] = "\333"
   _CHARMAP["DC"] = _CHARMAP["dc"] = "\334"
   _CHARMAP["DD"] = _CHARMAP["dd"] = "\335"
   _CHARMAP["DE"] = _CHARMAP["de"] = "\336"
   _CHARMAP["DF"] = _CHARMAP["df"] = "\337"
   _CHARMAP["E0"] = _CHARMAP["e0"] = "\340"
   _CHARMAP["E1"] = _CHARMAP["e1"] = "\341"
   _CHARMAP["E2"] = _CHARMAP["e2"] = "\342"
   _CHARMAP["E3"] = _CHARMAP["e3"] = "\343"
   _CHARMAP["E4"] = _CHARMAP["e4"] = "\344"
   _CHARMAP["E5"] = _CHARMAP["e5"] = "\345"
   _CHARMAP["E6"] = _CHARMAP["e6"] = "\346"
   _CHARMAP["E7"] = _CHARMAP["e7"] = "\347"
   _CHARMAP["E8"] = _CHARMAP["e8"] = "\350"
   _CHARMAP["E9"] = _CHARMAP["e9"] = "\351"
   _CHARMAP["EA"] = _CHARMAP["ea"] = "\352"
   _CHARMAP["EB"] = _CHARMAP["eb"] = "\353"
   _CHARMAP["EC"] = _CHARMAP["ec"] = "\354"
   _CHARMAP["ED"] = _CHARMAP["ed"] = "\355"
   _CHARMAP["EE"] = _CHARMAP["ee"] = "\356"
   _CHARMAP["EF"] = _CHARMAP["ef"] = "\357"
   _CHARMAP["F0"] = _CHARMAP["f0"] = "\360"
   _CHARMAP["F1"] = _CHARMAP["f1"] = "\361"
   _CHARMAP["F2"] = _CHARMAP["f2"] = "\362"
   _CHARMAP["F3"] = _CHARMAP["f3"] = "\363"
   _CHARMAP["F4"] = _CHARMAP["f4"] = "\364"
   _CHARMAP["F5"] = _CHARMAP["f5"] = "\365"
   _CHARMAP["F6"] = _CHARMAP["f6"] = "\366"
   _CHARMAP["F7"] = _CHARMAP["f7"] = "\367"
   _CHARMAP["F8"] = _CHARMAP["f8"] = "\370"
   _CHARMAP["F9"] = _CHARMAP["f9"] = "\371"
   _CHARMAP["FA"] = _CHARMAP["fa"] = "\372"
   _CHARMAP["FB"] = _CHARMAP["fb"] = "\373"
   _CHARMAP["FC"] = _CHARMAP["fc"] = "\374"
   _CHARMAP["FD"] = _CHARMAP["fd"] = "\375"
   _CHARMAP["FE"] = _CHARMAP["fe"] = "\376"
   _CHARMAP["FF"] = _CHARMAP["ff"] = "\377"

   delete _MAPCHAR

   _MAPCHAR["\001"] = "01"
   _MAPCHAR["\002"] = "02"
   _MAPCHAR["\003"] = "03"
   _MAPCHAR["\004"] = "04"
   _MAPCHAR["\005"] = "05"
   _MAPCHAR["\006"] = "06"
   _MAPCHAR["\007"] = "07"
   _MAPCHAR["\010"] = "08"
   _MAPCHAR["\011"] = "09"
   _MAPCHAR["\020"] = "10"
   _MAPCHAR["\021"] = "11"
   _MAPCHAR["\022"] = "12"
   _MAPCHAR["\023"] = "13"
   _MAPCHAR["\024"] = "14"
   _MAPCHAR["\025"] = "15"
   _MAPCHAR["\026"] = "16"
   _MAPCHAR["\027"] = "17"
   _MAPCHAR["\030"] = "18"
   _MAPCHAR["\031"] = "19"
   _MAPCHAR["\040"] = "20"
   _MAPCHAR["\041"] = "21"
   _MAPCHAR["\042"] = "22"
   _MAPCHAR["\043"] = "23"
   _MAPCHAR["\044"] = "24"
   _MAPCHAR["\046"] = "26"
   _MAPCHAR["\050"] = "28"
   _MAPCHAR["\051"] = "29"
   _MAPCHAR["\060"] = "30"
   _MAPCHAR["\061"] = "31"
   _MAPCHAR["\062"] = "32"
   _MAPCHAR["\063"] = "33"
   _MAPCHAR["\064"] = "34"
   _MAPCHAR["\065"] = "35"
   _MAPCHAR["\066"] = "36"
   _MAPCHAR["\067"] = "37"
   _MAPCHAR["\070"] = "38"
   _MAPCHAR["\071"] = "39"
   _MAPCHAR["\100"] = "40"
   _MAPCHAR["\101"] = "41"
   _MAPCHAR["\102"] = "42"
   _MAPCHAR["\103"] = "43"
   _MAPCHAR["\104"] = "44"
   _MAPCHAR["\105"] = "45"
   _MAPCHAR["\106"] = "46"
   _MAPCHAR["\107"] = "47"
   _MAPCHAR["\110"] = "48"
   _MAPCHAR["\111"] = "49"
   _MAPCHAR["\120"] = "50"
   _MAPCHAR["\121"] = "51"
   _MAPCHAR["\122"] = "52"
   _MAPCHAR["\123"] = "53"
   _MAPCHAR["\124"] = "54"
   _MAPCHAR["\125"] = "55"
   _MAPCHAR["\126"] = "56"
   _MAPCHAR["\127"] = "57"
   _MAPCHAR["\130"] = "58"
   _MAPCHAR["\131"] = "59"
   _MAPCHAR["\140"] = "60"
   _MAPCHAR["\141"] = "61"
   _MAPCHAR["\142"] = "62"
   _MAPCHAR["\143"] = "63"
   _MAPCHAR["\144"] = "64"
   _MAPCHAR["\145"] = "65"
   _MAPCHAR["\146"] = "66"
   _MAPCHAR["\147"] = "67"
   _MAPCHAR["\150"] = "68"
   _MAPCHAR["\151"] = "69"
   _MAPCHAR["\160"] = "70"
   _MAPCHAR["\161"] = "71"
   _MAPCHAR["\162"] = "72"
   _MAPCHAR["\163"] = "73"
   _MAPCHAR["\164"] = "74"
   _MAPCHAR["\165"] = "75"
   _MAPCHAR["\166"] = "76"
   _MAPCHAR["\167"] = "77"
   _MAPCHAR["\170"] = "78"
   _MAPCHAR["\171"] = "79"

#  _MAPCHAR["\012"] = "0A"		# do not enable!
   _MAPCHAR["\013"] = "0B"
   _MAPCHAR["\014"] = "0C"
#  _MAPCHAR["\015"] = "0D"		# do not enable!
   _MAPCHAR["\016"] = "0E"
   _MAPCHAR["\017"] = "0F"

   _MAPCHAR["\032"] = "1A"
   _MAPCHAR["\033"] = "1B"
   _MAPCHAR["\034"] = "1C"
   _MAPCHAR["\035"] = "1D"
   _MAPCHAR["\036"] = "1E"
   _MAPCHAR["\037"] = "1F"

   _MAPCHAR["\052"] = "2A"
#  _MAPCHAR["\053"] = "2B"		# do not enable!
   _MAPCHAR["\054"] = "2C"
   _MAPCHAR["\055"] = "2D"
   _MAPCHAR["\056"] = "2E"
   _MAPCHAR["\057"] = "2F"

   _MAPCHAR["\072"] = "3A"
   _MAPCHAR["\073"] = "3B"
   _MAPCHAR["\074"] = "3C"
   _MAPCHAR["\075"] = "3D"
   _MAPCHAR["\076"] = "3E"
   _MAPCHAR["\077"] = "3F"

   _MAPCHAR["\112"] = "4A"
   _MAPCHAR["\113"] = "4B"
   _MAPCHAR["\114"] = "4C"
   _MAPCHAR["\115"] = "4D"
   _MAPCHAR["\116"] = "4E"
   _MAPCHAR["\117"] = "4F"

   _MAPCHAR["\132"] = "5A"
   _MAPCHAR["\133"] = "5B"
   _MAPCHAR["\134"] = "5C"
   _MAPCHAR["\135"] = "5D"
   _MAPCHAR["\136"] = "5E"
   _MAPCHAR["\137"] = "5F"

   _MAPCHAR["\152"] = "6A"
   _MAPCHAR["\153"] = "6B"
   _MAPCHAR["\154"] = "6C"
   _MAPCHAR["\155"] = "6D"
   _MAPCHAR["\156"] = "6E"
   _MAPCHAR["\157"] = "6F"

   _MAPCHAR["\172"] = "7A"
   _MAPCHAR["\173"] = "7B"
   _MAPCHAR["\174"] = "7C"
   _MAPCHAR["\175"] = "7D"
   _MAPCHAR["\176"] = "7E"
   _MAPCHAR["\177"] = "7F"

   _MAPCHAR["\240"] = "A0"
   _MAPCHAR["\241"] = "A1"
   _MAPCHAR["\242"] = "A2"
   _MAPCHAR["\243"] = "A3"
   _MAPCHAR["\244"] = "A4"
   _MAPCHAR["\245"] = "A5"
   _MAPCHAR["\246"] = "A6"
   _MAPCHAR["\247"] = "A7"
   _MAPCHAR["\250"] = "A8"
   _MAPCHAR["\251"] = "A9"
   _MAPCHAR["\252"] = "AA"
   _MAPCHAR["\253"] = "AB"
   _MAPCHAR["\254"] = "AC"
   _MAPCHAR["\255"] = "AD"
   _MAPCHAR["\256"] = "AE"
   _MAPCHAR["\257"] = "AF"
   _MAPCHAR["\260"] = "B0"
   _MAPCHAR["\261"] = "B1"
   _MAPCHAR["\262"] = "B2"
   _MAPCHAR["\263"] = "B3"
   _MAPCHAR["\264"] = "B4"
   _MAPCHAR["\265"] = "B5"
   _MAPCHAR["\266"] = "B6"
   _MAPCHAR["\267"] = "B7"
   _MAPCHAR["\270"] = "B8"
   _MAPCHAR["\271"] = "B9"
   _MAPCHAR["\272"] = "BA"
   _MAPCHAR["\273"] = "BB"
   _MAPCHAR["\274"] = "BC"
   _MAPCHAR["\275"] = "BD"
   _MAPCHAR["\276"] = "BE"
   _MAPCHAR["\277"] = "BF"
   _MAPCHAR["\300"] = "C0"
   _MAPCHAR["\301"] = "C1"
   _MAPCHAR["\302"] = "C2"
   _MAPCHAR["\303"] = "C3"
   _MAPCHAR["\304"] = "C4"
   _MAPCHAR["\305"] = "C5"
   _MAPCHAR["\306"] = "C6"
   _MAPCHAR["\307"] = "C7"
   _MAPCHAR["\310"] = "C8"
   _MAPCHAR["\311"] = "C9"
   _MAPCHAR["\312"] = "CA"
   _MAPCHAR["\313"] = "CB"
   _MAPCHAR["\314"] = "CC"
   _MAPCHAR["\315"] = "CD"
   _MAPCHAR["\316"] = "CE"
   _MAPCHAR["\317"] = "CF"
   _MAPCHAR["\320"] = "D0"
   _MAPCHAR["\321"] = "D1"
   _MAPCHAR["\322"] = "D2"
   _MAPCHAR["\323"] = "D3"
   _MAPCHAR["\324"] = "D4"
   _MAPCHAR["\325"] = "D5"
   _MAPCHAR["\326"] = "D6"
   _MAPCHAR["\327"] = "D7"
   _MAPCHAR["\330"] = "D8"
   _MAPCHAR["\331"] = "D9"
   _MAPCHAR["\332"] = "DA"
   _MAPCHAR["\333"] = "DB"
   _MAPCHAR["\334"] = "DC"
   _MAPCHAR["\335"] = "DD"
   _MAPCHAR["\336"] = "DE"
   _MAPCHAR["\337"] = "DF"
   _MAPCHAR["\340"] = "E0"
   _MAPCHAR["\341"] = "E1"
   _MAPCHAR["\342"] = "E2"
   _MAPCHAR["\343"] = "E3"
   _MAPCHAR["\344"] = "E4"
   _MAPCHAR["\345"] = "E5"
   _MAPCHAR["\346"] = "E6"
   _MAPCHAR["\347"] = "E7"
   _MAPCHAR["\350"] = "E8"
   _MAPCHAR["\351"] = "E9"
   _MAPCHAR["\352"] = "EA"
   _MAPCHAR["\353"] = "EB"
   _MAPCHAR["\354"] = "EC"
   _MAPCHAR["\355"] = "ED"
   _MAPCHAR["\356"] = "EE"
   _MAPCHAR["\357"] = "EF"
   _MAPCHAR["\360"] = "F0"
   _MAPCHAR["\361"] = "F1"
   _MAPCHAR["\362"] = "F2"
   _MAPCHAR["\363"] = "F3"
   _MAPCHAR["\364"] = "F4"
   _MAPCHAR["\365"] = "F5"
   _MAPCHAR["\366"] = "F6"
   _MAPCHAR["\367"] = "F7"
   _MAPCHAR["\370"] = "F8"
   _MAPCHAR["\371"] = "F9"
   _MAPCHAR["\372"] = "FA"
   _MAPCHAR["\373"] = "FB"
   _MAPCHAR["\374"] = "FC"
   _MAPCHAR["\375"] = "FD"
   _MAPCHAR["\376"] = "FE"
   _MAPCHAR["\377"] = "FF"
}

# =====================================================================
# End of program
# =====================================================================
