# =====================================================================
# AWK functions for CSA.
#
# Copyright (c) 2004 Carlo Strozzi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License 
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# =====================================================================
# $Id: _csa.awk,v 1.1 2006/01/10 17:28:33 carlo Exp $
# =====================================================================
# anytype _csa(string what)
#
# Looks up several pieces of information regarding the current program
# and CSA layer in general, and returns it to the caller. This function
# provides an easy way to assess variables and settings, especially
# those that may not be comfortably obtained through simple ENVIRON[]
# lookups and other straightforward techniques.
# =====================================================================

function _csa(what,		s) {

  # Now a null pgm value indicates a generic map lookup.

  if (what == "progname") {
     s = ENVIRON["CSA_PGM"]
     sub(/.*\001/,_NULL,s)		# keep only leftmost value.
     return s
  }

  # Return '0' if CSA is running in interactive mode, or '1' otherwise.

  else if (what == "interactive" && \
    ENVIRON["CSA_PGM"] ~ /^CSAI/) return 0

  # Return '0' if an interactive Web action requiring confirmation was
  # confirmed by the client, or '1' otherwise. Note that if CSA is
  # running in non-interactive mode, then this test always returns '0'.

  else if (what == "confirmed" && \
    (ENVIRON["CSA_CONFIRMED"] == "1" || \
    _csa("interactive") == _FALSE)) return 0

  # add more 'else if' clauses as needed.
  return 1
}

