# =====================================================================
# AWK functions for CSA.
#
# Copyright (c) 2001,2002,2003,2004 Carlo Strozzi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License 
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# =====================================================================
# $Id: _escreg.awk,v 1.2 2006/01/10 17:28:33 carlo Exp $
# =====================================================================
# string _escreg(string re)
#
# Escape special characters in a string that is to be used as an AWK
# regular expression.
# =====================================================================

function _escreg(re) {

  # Escape backslashes first ...
  #gsub(/\\/,"\\\\\\", re)

  # ... then all other special characters.
  #gsub(/\$/, "\\$", re)
  #gsub(/\(/, "\\(", re)
  #gsub(/\)/, "\\)", re)
  #gsub(/\[/, "\\[", re)
  #gsub(/\]/, "\\]", re)
  #gsub(/\|/, "\\|", re)
  #gsub(/\^/, "\\^", re)
  #gsub(/\*/, "\\*", re)
  #gsub(/\?/, "\\?", re)
  #gsub(/\./, "\\.", re)

  # A probably faster alternative.

  gsub(/[]\\\$()\[\|\^\*\?\.]/,"\\\\&",re)

  return re
}

