# =====================================================================
# AWK functions for CSA.
#
# Copyright (c) 2005 Carlo Strozzi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License 
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# =====================================================================
# $Id: _jsencode.awk,v 1.1 2006/01/10 17:28:33 carlo Exp $
# =====================================================================
# string _jsencode(string s)
#
# Encode special JavaScript(TM) characters in strings that are to be
# used as JavaScript program tokens in response templates. The characters
# being encoded are:
#
#				< > / " '
#
# Note that the resulting strings should also undergo XML escaping if
# the resulting response needs to parse as well-formed XML, but this
# step is not done by default and it is left to the application program.
# =====================================================================

function _jsencode(string) {

   gsub(/\\/, "\134134", string)		# backslash (first!)
   gsub(/\//, "\134057", string)		# slash
   gsub(/</, "\134074", string)			# open tag
   gsub(/>/, "\134076", string)			# close tag
   gsub(/"/, "\134042", string)			# double quote
   gsub(/'/, "\134047", string)			# single quote

   return string
}

