# =====================================================================
# AWK functions for CSA.
#
# Copyright (c) 2001,2002,2003 Carlo Strozzi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License 
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# =====================================================================
# $Id: _rcescape.awk,v 1.1 2004/08/08 21:15:38 carlo Exp $
# =====================================================================
# string _rcescape(string s [, boolean set])
#
# Escape single-quotes in 'string' by doubling them as required by
# rc(1). The resulting string is then enclosed in single-quotes. If
# 'string' is null, then '()' is returned, unless the 'set' argument is
# set to '1', in which case the empty string assignment '' is returned.
# See rc(1) for more info.
# =====================================================================

function _rcescape(string,set) {

  if (string == _NULL) {
     if (set) return "''"
     else return "()"
  }

  gsub("'", "''", string)
  return "'" string "'"
}

